> For the complete documentation index, see [llms.txt](https://docs.4p.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.4p.finance/webhook/obtendo-dados-de-notificacoes.md).

# Obtendo dados de notificações

Uma vez que a sua URL de retorno recebeu um POST com o token de notificação da **4P Finance**, o seu sistema deverá realizar uma requisição GET para o endpoint `/notification/:token` que retornará os dados da transação/notificação.

## Realiza requisição dos dados da notificação

<mark style="color:blue;">`GET`</mark> `https://api.4p.finance/v1/notification/:token`

Realiza uma requisição enviando o token recebido via POST na URL de retorno cadastrada na criação da transação.

#### Path Parameters

| Name                                    | Type   | Description                                               |
| --------------------------------------- | ------ | --------------------------------------------------------- |
| token<mark style="color:red;">\*</mark> | String | Token recebido via POST na sua URL de retorno cadastrada. |

#### Headers

| Name                                        | Type   | Description    |
| ------------------------------------------- | ------ | -------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Sua chave API. |

{% tabs %}
{% tab title="200: OK Retorno token recebimento do Pix" %}

```javascript
{
    "http_code": 200,
    "success": true,
    "info": {
        "data": {
            "id": "936e8ae54933c2f8c10f3908e50be15c",
            "txid": "1ae3808c17364388b956c039",
            "status": "paid",
            "amount": "1.10",
            "description": "Cobrança de assinatura #PN123",
            "payer_info": "Nome do pagador - 123.456.789-00",
            "payment_date_time": "01/01/2026, 11:46:21",
            "created_at": "01/01/2026, 08:05:52",
            "confirmed_at": "01/01/2026, 11:46:25",
            "custom_id": "PN123"
        }
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="200: OK Retorno token envio das criptos" %}

```javascript
{
    "http_code": 200,
    "success": true,
    "info": {
        "data": {
            "id": "936e8ae54933c2f8c10f3908e50be15c",
            "txid": "1ae3808c17364388b956c039",
            "status": "paid",
            "amount": "1.10",
            "description": "Cobrança de assinatura #PN123",
            "payer_info": "Nome do pagador - 123.456.789-00",
            "payment_date_time": "01/01/2026, 11:46:21",
            "created_at": "01/01/2026, 08:05:52",
            "confirmed_at": "01/01/2026, 11:46:25",
            "custom_id": "PN123",
            "custom_data": {
                "chain_name": "Arbitrum",
                "amount_usdt": "0.20216",
                "receiver_wallet": "0x4328437bf03FFDBb0f64358a6a2947edFB995B6I",
                "transaction_hash": "0x63aaer69c90bafbb11f36b4a1adacedce28b84803e82f7a68b8442357ffe0f33"
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Importante!** Se o seu sistema consulta o token enviado, consideramos que a notificação foi realizada com sucesso. Caso não consulte, tentaremos novamente por até 05 dias.

Ou seja, se houver uma requisição ao endpoint `GET /notification/:token,` entenderemos que você recebeu o POST com o token de notificação e que o consultou, recebendo como resposta todos os dados informativos sobre a confirmação da transação.
{% endhint %}

Uma vez que consultou os dados da transação, o seu sistema já pode efetuar a baixa de pagamento, confirmação, ou conclusão da transação.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.4p.finance/webhook/obtendo-dados-de-notificacoes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
